%define name 	gnome-vfs-obexftp
%define version	0.4
%define release	%mkrel 4

%define req_libbonobo_version	2.3.1
%define req_vfs_version 	2.15.3

Summary:	GNOME virtual file-system obexftp
Name:		%name
Version:	%version
Release:	%release
License:	LGPL
Group:		Graphical desktop/GNOME
URL:		http://www.gnome.org/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
#from fedora: try and fix for broken devices that don't answer SDP queries without a specific service (#345581)
Patch0:		gnome-vfs-obexftp-find-obex-directly.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	gawk
BuildRequires:  perl-XML-Parser
BuildRequires:	gnome-vfs2-devel >= %req_vfs_version
BuildRequires:	libbonobo2_x-devel >= %{req_libbonobo_version}
BuildRequires:  obexftp-devel
BuildRequires:  libopenobex-devel
BuildRequires:  bluez-devel
BuildRequires:  expat-devel

%description
The GNOME Virtual File System provides an abstraction to common file
system operations like reading, writing and copying files, listing
directories and so on.  It is similar in spirit to the Midnight
Commander's VFS (as it uses a similar URI scheme) but it is designed
from the ground up to be extensible and to be usable from any
application.

This contains the obexftp protocol for GNOME-VFS. It allows reading 
from and writing to devices using the OBEX FTP protocol. Notably, this 
includes almost all Bluetooth devices capable of file transfer.

%prep
%setup -q
%patch0 

%build
%configure --enable-nautilus-workaround --with-compile-warnings=no

make

%install
rm -rf %{buildroot}
%makeinstall_std

# remove unpackaged file
rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/*.la

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README
%{_sysconfdir}/gnome-vfs-2.0/modules/obex-module.conf
%{_libdir}/gnome-vfs-2.0/modules/*.so




%changelog
* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4-4mdv2009.0
+ Revision: 246471
- rebuild

* Sat Jan 12 2008 Emmanuel Andry <eandry@mandriva.org> 0.4-2mdv2008.1
+ Revision: 149818
- add patch from fedora

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Jun 19 2007 Adam Williamson <awilliamson@mandriva.com> 0.4-1mdv2008.0
+ Revision: 41598
- new release 0.4


* Fri Jan 19 2007 Frederic Crozat <fcrozat@mandriva.com> 0.2-1mdv2007.0
+ Revision: 110792

  + Jérôme Soyer <saispo@mandriva.org>
    - Import gnome-vfs-obexftp

